package com.crm.rely.backend.core.dto.ib.trade;

import lombok.Data;

import java.util.Date;

/**
 * Created by max on 2020/4/1.
 */
@Data
public class TradeHistorySumDto {

    private Float volume;

    private Float profit;

    private Float commission;

    private Float storage;

    private Float totalProfit;

    public static TradeHistorySumDto getInstance() throws Exception{
        TradeHistorySumDto sumDto = new TradeHistorySumDto();
        sumDto.setVolume(0F);
        sumDto.setProfit(0F);
        sumDto.setCommission(0F);
        sumDto.setStorage(0F);
        sumDto.setTotalProfit(0F);
        return sumDto;
    }

}
